.registration {
  padding-top: 30px;

  @media (min-width: 905px) {
    padding-top: 40px;
  }
}

.registration-form {
  display: flex;
  flex-direction: column;
  margin: 0px auto;
  max-width: calc($max-width/2.0521);
  margin-bottom: 50px;

  @media (min-width: 905px) {
    margin-bottom: 70px;
  }
}

.registration-form-container {
  position: relative;
  &::after {
    display: flex;
    content: '';
    width: 100%;
    height: 1px;
    background-color: $border-input-color;
    margin: 20px 0px 20px 0px;
  }
}

.registration-form__personalization {
  background-color: transparent;
  border: 1px solid $border-input-color;
  box-sizing: border-box;
  padding: 0px 0px 0px 15px;
  width: 100%;
  height: 50px;
  @include typography($primary-font, 15px, 20px, 400, $text-third-color);
  outline: none;

  @media (min-width: 905px) {
    @include typography($primary-font, 18px, 26px, 400, $text-third-color);
  }
}

.personalization-input:not(:nth-last-child(1)) {
  margin-bottom: 10px;

  @media (min-width: 905px) {
    margin-bottom: 30px;
  }
}

.input__info {
  display: none;

  @media (min-width: 905px) {
    display: inline-block;
    position: absolute;
    top: 62px;
    left: 20px;
    @include typography($primary-font, 12px, 14px, 400, $text-third-color);
  }
}

.select-wrapper {
  display: flex;
  position: relative;
  z-index: 2;

  &:not(:nth-last-child(1)) {
    margin-bottom: 10px;

    @media (min-width: 905px) {
      margin-bottom: 30px;
    }
  }
}

.registration-form__position,
.registration-form__select {
  @extend.registration-form__personalization;
  appearance: none;
}

.registration-form__select-icon {
  position: absolute;
  fill: $select-btn-color;
  top: 19.51px;
  right: 2.609%;
  z-index: -1;
}

.registration-form__input {
  @extend.registration-form__personalization;
  margin-bottom: 20px;

  @media (min-width: 905px) {
    margin-bottom: 30px;
  }
}

.privace-policy-container {
  display: flex;
  align-items: flex-start;
  margin-bottom: 30px;

  @media (min-width: 905px) {
    margin-bottom: 40px;
  }
}

.privace-policy__label {
  @extend .checkbox__label;
}

.privace-policy__checkbox {
  @extend .checkbox__input;
}

.privace-policy__text {
  @include typography($primary-font, 15px, 20px, 400, $text-fifth-color);

  @media (min-width: 905px) {
    @include typography($primary-font, 18px, 25px, 400, $text-fifth-color);
  }
}

.privace-policy__link {
  color: $section-link-color;
}

.registration-form__btn {
  @extend .answer-form__btn;
  margin: auto;
  margin-bottom: 30px;
}

.registration-form__link-entrance {
  @include typography($primary-font, 18px, 25px, 600, $section-link-color);
  text-decoration: none;
  margin: 0px auto;
}
